Skip to main content
POST
Fetch Analysis Kmeans (scale)

Description

Get analysis data for questions using responseIds for responses segmentation.

Payload

where:
  • fromDate: start date in ISO format. Required.
  • toDate: end date in ISO format. Required.
  • filter: array of questions to filter responses by. Optional.
  • responsesIds: array question ids for analysis segmentation. Required.

Response

200 OK

where:
  • projectId: unique identifier of the project.
  • fromDate: start date received as param to the query in ISO format.
  • toDate: end date received as param to the query in ISO format.
  • dateFilters: Array of date filters used for querying the responses
  • responses: object mapping unique question identifiers to kmeans analysis data for every question.

400 Bad Request

Missing or invalid projectId/fromDate/toDate fields.

401 Unauthorized

Invalid authorization.

404 Not Found

Resource not found.

500 Internal Server Error

Error occurred in the service.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

Fetch Analysis Kmeans

The response is of type object.